Description

The Perseus importer fails on works that have no biblStruct:

reader.importer.PerseusBatchImporter: Exception generated when attempting to process file="hh_gk.x

ml" 

Traceback (most recent call last):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 326, in process_directory

    if self.__process_file__( os.path.join( root, f) ):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchIm

porter.py", line 277, in __process_file__

... 5 lines omitted ...

  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/django/db/tr

ansaction.py", line 209, in inner

    return func(*args, **kwargs)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", l

ine 536, in import_xml_document

    bibl_struct_node = tei_header.getElementsByTagName("biblStruct")[0]

IndexError: list index out of range

 

The following works cannot be imported due to this issue:

1    hh_gk.xml

2    aristot.vir_gk.xml

3    aristot.nic.eth_gk.xml

4    aristot.ath.pol_gk.xml

5    apollod_gk.xml

Associated revisions

Revision 152 - 11/16/2012 08:09 AM - Luke Murphey

Fixed issue with importer where it fails to import works that do not have a biblStruct object. Reference #438.

Revision 152 - 11/16/2012 08:09 AM - Luke Murphey

Fixed issue with importer where it fails to import works that do not have a biblStruct object. Reference #438.

Revision 146 - 11/16/2012 08:09 AM - Luke Murphey

Fixed issue with importer where it fails to import works that do not have a biblStruct object. Reference #438.

History

#1 - 11/14/2012 06:41 AM - Luke Murphey

- Parent task set to #403
#2 - 11/15/2012 08:20 AM - Luke Murphey

- Description updated

#3 - 11/16/2012 07:26 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 11/16/2012 08:30 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
